<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: Search.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Publish
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see Giscuit_Form_Abstract
 */
require_once 'Giscuit/Form/Abstract.php';

/**
 * Search form class
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Publish
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Form_Publish_Search extends Giscuit_Form_Search
{
    /**
     * Get map options
     * 
     * @return array
     */
    public function getMapOptions()
    {
        $mapOptions = array(
            'orderDirection' => 'asc' ,
            'wherePublish' => 't' , 
            'whereActive' => 't' , 
            'withFields' => true ,
            'withPublish' => true ,
            'withGroups' => true
        );
 
        return $mapOptions;
    }
}